MGASA-2021-0335 - Updated php-smarty package fixes security vulnerabilities

Publication date: 10 Jul 2021
URL: https://advisories.mageia.org/MGASA-2021-0335.html
Type: security
Affected Mageia releases: 7, 8
CVE: CVE-2021-26119,
     CVE-2021-26120

Smarty before 3.1.39 allows a Sandbox Escape because $smarty.template_object
can be accessed in sandbox mode (CVE-2021-26119).

Smarty before 3.1.39 allows code injection via an unexpected function name
after a {function name= substring (CVE-2021-26120).

References:
- https://bugs.mageia.org/show_bug.cgi?id=28996
- https://github.com/smarty-php/smarty/releases/tag/v3.1.39
- https://www.debian.org/lts/security/2021/dla-2618
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-26119
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-26120

SRPMS:
- 8/core/php-smarty-3.1.39-1.mga8
- 7/core/php-smarty-3.1.39-1.mga7